```
███████╗██╗   ██╗██████╗ ███████╗██████╗
██╔════╝██║   ██║██╔══██╗██╔════╝██╔══██╗
███████╗██║   ██║██████╔╝█████╗  ██████╔╝
╚════██║██║   ██║██╔═══╝ ██╔══╝  ██╔══██╗
███████║╚██████╔╝██║     ███████╗██║  ██║
╚══════╝ ╚═════╝ ╚═╝     ╚══════╝╚═╝  ╚═╝
██████╗  ██████╗ ██╗    ██╗███████╗██████╗ ███████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗██╔════╝
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝███████╗
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗╚════██║
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║███████║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝╚══════╝
```

### What is JCB Super Powers?
The Joomla Component Builder (JCB) Super Power features are designed to enhance JCB's functionality and streamline the development process. These Super Powers enable developers to efficiently manage and share their custom powers across multiple JCB instances through repositories hosted on [https://git.vdm.dev/[username]/[repository-name]](https://git.vdm.dev). JCB Super Powers are managed using a combination of layers, events, tasks, methods, switches, and algorithms, which work together to provide powerful customization and extensibility options. More details on JCB Super Powers can be found in the [Super Powers Documentation](https://git.vdm.dev/joomla/super-powers/wiki).

In summary, JCB Super Powers offer a flexible and efficient way to manage and share functionalities between JCB instances. By utilizing a sophisticated system of layers, events, tasks, methods, switches, and algorithms, developers can seamlessly integrate JCB core powers and their custom powers. For more information on how to work with JCB Super Powers, refer to the [Super Powers User Guide](https://git.vdm.dev/joomla/super-powers/wiki).

### What can I find here?
This repository contains an index (see below) of all the approved powers within the JCB GUI. During the compilation of a component, these powers are automatically added to the repository, ensuring a well-organized and accessible collection of functionalities.

# Index of powers

- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler](#vdm-joomla-componentbuilder-compiler)

  - **abstract class Factory** | [Details](src/d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac) | [Code](src/d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac/code.php) | [Settings](src/d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac/settings.json) | Super__d910d8b8_4c23_4f3e_8cda_438f2d2bd7ac__Power
  - **class Component** | [Details](src/e2472b22-a329-44d8-b4a2-ae3ba99e17a0) | [Code](src/e2472b22-a329-44d8-b4a2-ae3ba99e17a0/code.php) | [Settings](src/e2472b22-a329-44d8-b4a2-ae3ba99e17a0/settings.json) | Super__e2472b22_a329_44d8_b4a2_ae3ba99e17a0__Power
  - **class Config** | [Details](src/fa4bf18e-301e-42e3-91fb-6e0096c07adc) | [Code](src/fa4bf18e-301e-42e3-91fb-6e0096c07adc/code.php) | [Settings](src/fa4bf18e-301e-42e3-91fb-6e0096c07adc/settings.json) | Super__fa4bf18e_301e_42e3_91fb_6e0096c07adc__Power
  - **class Content** | [Details](src/adfbe68a-6d22-43e5-aee8-2787e8c47e75) | [Code](src/adfbe68a-6d22-43e5-aee8-2787e8c47e75/code.php) | [Settings](src/adfbe68a-6d22-43e5-aee8-2787e8c47e75/settings.json) | Super__adfbe68a_6d22_43e5_aee8_2787e8c47e75__Power
  - **class Customcode** | [Details](src/313b43c4-98c3-4f62-9177-2d73ec8eba31) | [Code](src/313b43c4-98c3-4f62-9177-2d73ec8eba31/code.php) | [Settings](src/313b43c4-98c3-4f62-9177-2d73ec8eba31/settings.json) | Super__313b43c4_98c3_4f62_9177_2d73ec8eba31__Power
  - **class Field** | [Details](src/d7ba2d5d-10b6-470d-978d-9f91ea65ee75) | [Code](src/d7ba2d5d-10b6-470d-978d-9f91ea65ee75/code.php) | [Settings](src/d7ba2d5d-10b6-470d-978d-9f91ea65ee75/settings.json) | Super__d7ba2d5d_10b6_470d_978d_9f91ea65ee75__Power
  - **class Language** | [Details](src/8eee7df5-2775-41a9-9372-c46c5939a252) | [Code](src/8eee7df5-2775-41a9-9372-c46c5939a252/code.php) | [Settings](src/8eee7df5-2775-41a9-9372-c46c5939a252/settings.json) | Super__8eee7df5_2775_41a9_9372_c46c5939a252__Power
  - **class Placeholder** | [Details](src/06453ada-e370-49f0-b262-e3f5a8ed0c2c) | [Code](src/06453ada-e370-49f0-b262-e3f5a8ed0c2c/code.php) | [Settings](src/06453ada-e370-49f0-b262-e3f5a8ed0c2c/settings.json) | Super__06453ada_e370_49f0_b262_e3f5a8ed0c2c__Power
  - **class Power** | [Details](src/b836c1b1-b6b1-44f7-b8a2-9a763a4185b1) | [Code](src/b836c1b1-b6b1-44f7-b8a2-9a763a4185b1/code.php) | [Settings](src/b836c1b1-b6b1-44f7-b8a2-9a763a4185b1/settings.json) | Super__b836c1b1_b6b1_44f7_b8a2_9a763a4185b1__Power
  - **class Registry** | [Details](src/e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6) | [Code](src/e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6/code.php) | [Settings](src/e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6/settings.json) | Super__e5d9804f_0eb0_4ee9_b406_ad4e8cdbc1f6__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Interfaces](#vdm-joomla-componentbuilder-interfaces)

  - **interface Cryptinterface** | [Details](src/81de8f57-dd9c-4a17-964f-848cd4a0743b) | [Code](src/81de8f57-dd9c-4a17-964f-848cd4a0743b/code.php) | [Settings](src/81de8f57-dd9c-4a17-964f-848cd4a0743b/settings.json) | Super__81de8f57_dd9c_4a17_964f_848cd4a0743b__Power
  - **interface LoadInterface** | [Details](src/2ad31f74-f579-499d-b98b-c4f54fd615dd) | [Code](src/2ad31f74-f579-499d-b98b-c4f54fd615dd/code.php) | [Settings](src/2ad31f74-f579-499d-b98b-c4f54fd615dd/settings.json) | Super__2ad31f74_f579_499d_b98b_c4f54fd615dd__Power
  - **interface Mapperdoubleinterface** | [Details](src/fbc58009-fa16-4d49-a0dd-419c3b62d42f) | [Code](src/fbc58009-fa16-4d49-a0dd-419c3b62d42f/code.php) | [Settings](src/fbc58009-fa16-4d49-a0dd-419c3b62d42f/settings.json) | Super__fbc58009_fa16_4d49_a0dd_419c3b62d42f__Power
  - **interface Mappersingleinterface** | [Details](src/78527c29-24ad-4735-ad4c-ec33a4952d9b) | [Code](src/78527c29-24ad-4735-ad4c-ec33a4952d9b/code.php) | [Settings](src/78527c29-24ad-4735-ad4c-ec33a4952d9b/settings.json) | Super__78527c29_24ad_4735_ad4c_ec33a4952d9b__Power
  - **interface Serverinterface** | [Details](src/86ac0760-26f5-4746-9c7f-ce77860f80f8) | [Code](src/86ac0760-26f5-4746-9c7f-ce77860f80f8/code.php) | [Settings](src/86ac0760-26f5-4746-9c7f-ce77860f80f8/settings.json) | Super__86ac0760_26f5_4746_9c7f_ce77860f80f8__Power
  - **interface Tableinterface** | [Details](src/2da6d6c4-eb29-4d69-8bc2-36d96e916adf) | [Code](src/2da6d6c4-eb29-4d69-8bc2-36d96e916adf/code.php) | [Settings](src/2da6d6c4-eb29-4d69-8bc2-36d96e916adf/settings.json) | Super__2da6d6c4_eb29_4d69_8bc2_36d96e916adf__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Power](#vdm-joomla-componentbuilder-power)

  - **final class Grep** | [Details](src/6784dd52-0909-451a-a872-9a942a023c68) | [Code](src/6784dd52-0909-451a-a872-9a942a023c68/code.php) | [Settings](src/6784dd52-0909-451a-a872-9a942a023c68/settings.json) | Super__6784dd52_0909_451a_a872_9a942a023c68__Power
  - **final class Model** | [Details](src/7c1fb50f-8fb1-4627-8705-6fedf7182ca5) | [Code](src/7c1fb50f-8fb1-4627-8705-6fedf7182ca5/code.php) | [Settings](src/7c1fb50f-8fb1-4627-8705-6fedf7182ca5/settings.json) | Super__7c1fb50f_8fb1_4627_8705_6fedf7182ca5__Power
  - **final class Super** | [Details](src/3ab0eba9-f37b-4b37-aec1-2e78067f2aff) | [Code](src/3ab0eba9-f37b-4b37-aec1-2e78067f2aff/code.php) | [Settings](src/3ab0eba9-f37b-4b37-aec1-2e78067f2aff/settings.json) | Super__3ab0eba9_f37b_4b37_aec1_2e78067f2aff__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Utilities](#vdm-joomla-componentbuilder-utilities)

  - **class Constantpaths** | [Details](src/e0c8c931-52a0-4171-9909-e8769505bb1f) | [Code](src/e0c8c931-52a0-4171-9909-e8769505bb1f/code.php) | [Settings](src/e0c8c931-52a0-4171-9909-e8769505bb1f/settings.json) | Super__e0c8c931_52a0_4171_9909_e8769505bb1f__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Adminview](#vdm-joomla-componentbuilder-compiler-adminview)

  - **class Data** | [Details](src/cef2815b-f72b-402a-b769-f028f676692d) | [Code](src/cef2815b-f72b-402a-b769-f028f676692d/code.php) | [Settings](src/cef2815b-f72b-402a-b769-f028f676692d/settings.json) | Super__cef2815b_f72b_402a_b769_f028f676692d__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Alias](#vdm-joomla-componentbuilder-compiler-alias)

  - **class Data** | [Details](src/f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c) | [Code](src/f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c/code.php) | [Settings](src/f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c/settings.json) | Super__f05ac28d_44f4_4e6d_a1be_5c8ae6baf69c__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Component](#vdm-joomla-componentbuilder-compiler-component)

  - **class Dashboard** | [Details](src/cfe62a32-8818-4bfb-8751-2f1e109b5336) | [Code](src/cfe62a32-8818-4bfb-8751-2f1e109b5336/code.php) | [Settings](src/cfe62a32-8818-4bfb-8751-2f1e109b5336/settings.json) | Super__cfe62a32_8818_4bfb_8751_2f1e109b5336__Power
  - **class Data** | [Details](src/ef9578e5-4c9d-46bf-866f-3a94bdc7b753) | [Code](src/ef9578e5-4c9d-46bf-866f-3a94bdc7b753/code.php) | [Settings](src/ef9578e5-4c9d-46bf-866f-3a94bdc7b753/settings.json) | Super__ef9578e5_4c9d_46bf_866f_3a94bdc7b753__Power
  - **class Placeholder** | [Details](src/aecc17ba-0b0f-4e5c-ae43-71be063a3dcb) | [Code](src/aecc17ba-0b0f-4e5c-ae43-71be063a3dcb/code.php) | [Settings](src/aecc17ba-0b0f-4e5c-ae43-71be063a3dcb/settings.json) | Super__aecc17ba_0b0f_4e5c_ae43_71be063a3dcb__Power
  - **class Settings** | [Details](src/63dabe82-0f4a-4ade-9851-8518ade23de2) | [Code](src/63dabe82-0f4a-4ade-9851-8518ade23de2/code.php) | [Settings](src/63dabe82-0f4a-4ade-9851-8518ade23de2/settings.json) | Super__63dabe82_0f4a_4ade_9851_8518ade23de2__Power
  - **class Structure** | [Details](src/6c89c663-78f5-4078-9fac-7047f2eaaf96) | [Code](src/6c89c663-78f5-4078-9fac-7047f2eaaf96/code.php) | [Settings](src/6c89c663-78f5-4078-9fac-7047f2eaaf96/settings.json) | Super__6c89c663_78f5_4078_9fac_7047f2eaaf96__Power
  - **class Structuremultiple** | [Details](src/b69a23db-0a62-4840-a9c5-b2d8d63ecc6c) | [Code](src/b69a23db-0a62-4840-a9c5-b2d8d63ecc6c/code.php) | [Settings](src/b69a23db-0a62-4840-a9c5-b2d8d63ecc6c/settings.json) | Super__b69a23db_0a62_4840_a9c5_b2d8d63ecc6c__Power
  - **class Structuresingle** | [Details](src/673954d3-78d3-445a-b99f-4b40d617c882) | [Code](src/673954d3-78d3-445a-b99f-4b40d617c882/code.php) | [Settings](src/673954d3-78d3-445a-b99f-4b40d617c882/settings.json) | Super__673954d3_78d3_445a_b99f_4b40d617c882__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Customcode](#vdm-joomla-componentbuilder-compiler-customcode)

  - **class Dispenser** | [Details](src/f1dc6430-fb54-452e-aa53-ce32ae93db88) | [Code](src/f1dc6430-fb54-452e-aa53-ce32ae93db88/code.php) | [Settings](src/f1dc6430-fb54-452e-aa53-ce32ae93db88/settings.json) | Super__f1dc6430_fb54_452e_aa53_ce32ae93db88__Power
  - **class External** | [Details](src/1cef0266-99e2-40d8-919f-c2ce32226b0a) | [Code](src/1cef0266-99e2-40d8-919f-c2ce32226b0a/code.php) | [Settings](src/1cef0266-99e2-40d8-919f-c2ce32226b0a/settings.json) | Super__1cef0266_99e2_40d8_919f_c2ce32226b0a__Power
  - **class Extractor** | [Details](src/01411bb1-fdd6-4cca-84d7-1b62d93c70c1) | [Code](src/01411bb1-fdd6-4cca-84d7-1b62d93c70c1/code.php) | [Settings](src/01411bb1-fdd6-4cca-84d7-1b62d93c70c1/settings.json) | Super__01411bb1_fdd6_4cca_84d7_1b62d93c70c1__Power
  - **class Gui** | [Details](src/1bd48df2-4f7e-4581-9fe9-4b54e59105e3) | [Code](src/1bd48df2-4f7e-4581-9fe9-4b54e59105e3/code.php) | [Settings](src/1bd48df2-4f7e-4581-9fe9-4b54e59105e3/settings.json) | Super__1bd48df2_4f7e_4581_9fe9_4b54e59105e3__Power
  - **class Hash** | [Details](src/797579e8-b272-41ed-91de-428cb0b3e089) | [Code](src/797579e8-b272-41ed-91de-428cb0b3e089/code.php) | [Settings](src/797579e8-b272-41ed-91de-428cb0b3e089/settings.json) | Super__797579e8_b272_41ed_91de_428cb0b3e089__Power
  - **class LockBase** | [Details](src/7c07c9d6-34cd-4491-934a-ef0a83f414c0) | [Code](src/7c07c9d6-34cd-4491-934a-ef0a83f414c0/code.php) | [Settings](src/7c07c9d6-34cd-4491-934a-ef0a83f414c0/settings.json) | Super__7c07c9d6_34cd_4491_934a_ef0a83f414c0__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Customview](#vdm-joomla-componentbuilder-compiler-customview)

  - **class Data** | [Details](src/3b6895da-d9eb-4164-90b1-4632a4cc2474) | [Code](src/3b6895da-d9eb-4164-90b1-4632a4cc2474/code.php) | [Settings](src/3b6895da-d9eb-4164-90b1-4632a4cc2474/settings.json) | Super__3b6895da_d9eb_4164_90b1_4632a4cc2474__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Dynamicget](#vdm-joomla-componentbuilder-compiler-dynamicget)

  - **class Data** | [Details](src/05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46) | [Code](src/05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46/code.php) | [Settings](src/05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46/settings.json) | Super__05c49a1f_ba5b_4be1_b3d0_4a74c42f7a46__Power
  - **class Selection** | [Details](src/5b021139-dad0-4e9b-882a-2b4d807795af) | [Code](src/5b021139-dad0-4e9b-882a-2b4d807795af/code.php) | [Settings](src/5b021139-dad0-4e9b-882a-2b4d807795af/settings.json) | Super__5b021139_dad0_4e9b_882a_2b4d807795af__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Field](#vdm-joomla-componentbuilder-compiler-field)

  - **class Customcode** | [Details](src/a356d103-74f3-49ca-8e4f-3bd37746f089) | [Code](src/a356d103-74f3-49ca-8e4f-3bd37746f089/code.php) | [Settings](src/a356d103-74f3-49ca-8e4f-3bd37746f089/settings.json) | Super__a356d103_74f3_49ca_8e4f_3bd37746f089__Power
  - **class Data** | [Details](src/ce826b66-0f2d-43da-8005-41b8e4cb21ee) | [Code](src/ce826b66-0f2d-43da-8005-41b8e4cb21ee/code.php) | [Settings](src/ce826b66-0f2d-43da-8005-41b8e4cb21ee/settings.json) | Super__ce826b66_0f2d_43da_8005_41b8e4cb21ee__Power
  - **class DatabaseName** | [Details](src/99368a6f-2f64-4d4e-ad3a-544d4020ecc6) | [Code](src/99368a6f-2f64-4d4e-ad3a-544d4020ecc6/code.php) | [Settings](src/99368a6f-2f64-4d4e-ad3a-544d4020ecc6/settings.json) | Super__99368a6f_2f64_4d4e_ad3a_544d4020ecc6__Power
  - **class Name** | [Details](src/9387215f-a965-4421-acf3-5e8f9d11382f) | [Code](src/9387215f-a965-4421-acf3-5e8f9d11382f/code.php) | [Settings](src/9387215f-a965-4421-acf3-5e8f9d11382f/settings.json) | Super__9387215f_a965_4421_acf3_5e8f9d11382f__Power
  - **class TypeName** | [Details](src/eb33420d-359d-44a5-852e-613aef1feaae) | [Code](src/eb33420d-359d-44a5-852e-613aef1feaae/code.php) | [Settings](src/eb33420d-359d-44a5-852e-613aef1feaae/settings.json) | Super__eb33420d_359d_44a5_852e_613aef1feaae__Power
  - **class UniqueName** | [Details](src/8c018533-e967-4bf2-9bd9-9e92966fcb5e) | [Code](src/8c018533-e967-4bf2-9bd9-9e92966fcb5e/code.php) | [Settings](src/8c018533-e967-4bf2-9bd9-9e92966fcb5e/settings.json) | Super__8c018533_e967_4bf2_9bd9_9e92966fcb5e__Power
  - **class Validation** | [Details](src/c871fb4a-4c33-4302-bb79-a9cd7ef4a557) | [Code](src/c871fb4a-4c33-4302-bb79-a9cd7ef4a557/code.php) | [Settings](src/c871fb4a-4c33-4302-bb79-a9cd7ef4a557/settings.json) | Super__c871fb4a_4c33_4302_bb79_a9cd7ef4a557__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces](#vdm-joomla-componentbuilder-compiler-interfaces)

  - **interface CustomcodeInterface** | [Details](src/33bdc535-0ff1-40c8-bb22-b5d44f1731c4) | [Code](src/33bdc535-0ff1-40c8-bb22-b5d44f1731c4/code.php) | [Settings](src/33bdc535-0ff1-40c8-bb22-b5d44f1731c4/settings.json) | Super__33bdc535_0ff1_40c8_bb22_b5d44f1731c4__Power
  - **interface EventInterface** | [Details](src/20ed72b0-fcac-4344-aee1-8a65e3bf221d) | [Code](src/20ed72b0-fcac-4344-aee1-8a65e3bf221d/code.php) | [Settings](src/20ed72b0-fcac-4344-aee1-8a65e3bf221d/settings.json) | Super__20ed72b0_fcac_4344_aee1_8a65e3bf221d__Power
  - **interface GetScriptInterface** | [Details](src/2e6731ba-3a03-4836-b2c2-4e50e38cb890) | [Code](src/2e6731ba-3a03-4836-b2c2-4e50e38cb890/code.php) | [Settings](src/2e6731ba-3a03-4836-b2c2-4e50e38cb890/settings.json) | Super__2e6731ba_3a03_4836_b2c2_4e50e38cb890__Power
  - **interface HistoryInterface** | [Details](src/4325745f-da1f-4d4d-a591-3189fe8c06e5) | [Code](src/4325745f-da1f-4d4d-a591-3189fe8c06e5/code.php) | [Settings](src/4325745f-da1f-4d4d-a591-3189fe8c06e5/settings.json) | Super__4325745f_da1f_4d4d_a591_3189fe8c06e5__Power
  - **interface LanguageInterface** | [Details](src/d6592c9b-93a6-41b3-83c7-c43a0a80cb83) | [Code](src/d6592c9b-93a6-41b3-83c7-c43a0a80cb83/code.php) | [Settings](src/d6592c9b-93a6-41b3-83c7-c43a0a80cb83/settings.json) | Super__d6592c9b_93a6_41b3_83c7_c43a0a80cb83__Power
  - **interface PlaceholderInterface** | [Details](src/a6cdd935-c038-4a54-8446-54bed87f003c) | [Code](src/a6cdd935-c038-4a54-8446-54bed87f003c/code.php) | [Settings](src/a6cdd935-c038-4a54-8446-54bed87f003c/settings.json) | Super__a6cdd935_c038_4a54_8446_54bed87f003c__Power
  - **interface PowerInterface** | [Details](src/1133c2d7-ba7e-4c95-8cde-01f084d04682) | [Code](src/1133c2d7-ba7e-4c95-8cde-01f084d04682/code.php) | [Settings](src/1133c2d7-ba7e-4c95-8cde-01f084d04682/settings.json) | Super__1133c2d7_ba7e_4c95_8cde_01f084d04682__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\JoomlaThree](#vdm-joomla-componentbuilder-compiler-joomlathree)

  - **class Event** | [Details](src/4b86f62e-ce41-4325-a11a-08148807d0df) | [Code](src/4b86f62e-ce41-4325-a11a-08148807d0df/code.php) | [Settings](src/4b86f62e-ce41-4325-a11a-08148807d0df/settings.json) | Super__4b86f62e_ce41_4325_a11a_08148807d0df__Power
  - **class History** | [Details](src/87db51b9-1126-4c21-858b-53dbd3a68b61) | [Code](src/87db51b9-1126-4c21-858b-53dbd3a68b61/code.php) | [Settings](src/87db51b9-1126-4c21-858b-53dbd3a68b61/settings.json) | Super__87db51b9_1126_4c21_858b_53dbd3a68b61__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Joomlamodule](#vdm-joomla-componentbuilder-compiler-joomlamodule)

  - **class Data** | [Details](src/cb11e8d9-69c2-4095-831c-59908ea402e7) | [Code](src/cb11e8d9-69c2-4095-831c-59908ea402e7/code.php) | [Settings](src/cb11e8d9-69c2-4095-831c-59908ea402e7/settings.json) | Super__cb11e8d9_69c2_4095_831c_59908ea402e7__Power
  - **class Structure** | [Details](src/071c7cff-4c88-4b80-bd99-066c572dcb71) | [Code](src/071c7cff-4c88-4b80-bd99-066c572dcb71/code.php) | [Settings](src/071c7cff-4c88-4b80-bd99-066c572dcb71/settings.json) | Super__071c7cff_4c88_4b80_bd99_066c572dcb71__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Joomlaplugin](#vdm-joomla-componentbuilder-compiler-joomlaplugin)

  - **class Data** | [Details](src/766a9524-37df-4604-91a7-b98a6150ee26) | [Code](src/766a9524-37df-4604-91a7-b98a6150ee26/code.php) | [Settings](src/766a9524-37df-4604-91a7-b98a6150ee26/settings.json) | Super__766a9524_37df_4604_91a7_b98a6150ee26__Power
  - **class Structure** | [Details](src/a900b836-f2eb-4f13-8f28-b7cac839c7ff) | [Code](src/a900b836-f2eb-4f13-8f28-b7cac839c7ff/code.php) | [Settings](src/a900b836-f2eb-4f13-8f28-b7cac839c7ff/settings.json) | Super__a900b836_f2eb_4f13_8f28_b7cac839c7ff__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Language](#vdm-joomla-componentbuilder-compiler-language)

  - **class Extractor** | [Details](src/d33b9278-c409-4aec-a047-b72f56712391) | [Code](src/d33b9278-c409-4aec-a047-b72f56712391/code.php) | [Settings](src/d33b9278-c409-4aec-a047-b72f56712391/settings.json) | Super__d33b9278_c409_4aec_a047_b72f56712391__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Library](#vdm-joomla-componentbuilder-compiler-library)

  - **class Data** | [Details](src/7175c1cd-2071-4cd7-b499-23881e168c3f) | [Code](src/7175c1cd-2071-4cd7-b499-23881e168c3f/code.php) | [Settings](src/7175c1cd-2071-4cd7-b499-23881e168c3f/settings.json) | Super__7175c1cd_2071_4cd7_b499_23881e168c3f__Power
  - **class Structure** | [Details](src/d3ce5763-4d00-4245-a175-54fc2e80e9b7) | [Code](src/d3ce5763-4d00-4245-a175-54fc2e80e9b7/code.php) | [Settings](src/d3ce5763-4d00-4245-a175-54fc2e80e9b7/settings.json) | Super__d3ce5763_4d00_4245_a175_54fc2e80e9b7__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Model](#vdm-joomla-componentbuilder-compiler-model)

  - **class Adminviews** | [Details](src/cebdcccb-24c5-46db-92de-63453852dcb8) | [Code](src/cebdcccb-24c5-46db-92de-63453852dcb8/code.php) | [Settings](src/cebdcccb-24c5-46db-92de-63453852dcb8/settings.json) | Super__cebdcccb_24c5_46db_92de_63453852dcb8__Power
  - **class Ajaxadmin** | [Details](src/4f575bd6-de97-41f8-80d6-259c8a6dd9ad) | [Code](src/4f575bd6-de97-41f8-80d6-259c8a6dd9ad/code.php) | [Settings](src/4f575bd6-de97-41f8-80d6-259c8a6dd9ad/settings.json) | Super__4f575bd6_de97_41f8_80d6_259c8a6dd9ad__Power
  - **class Ajaxcustomview** | [Details](src/592aed4e-2c5f-4fc5-8f7a-409203d1af82) | [Code](src/592aed4e-2c5f-4fc5-8f7a-409203d1af82/code.php) | [Settings](src/592aed4e-2c5f-4fc5-8f7a-409203d1af82/settings.json) | Super__592aed4e_2c5f_4fc5_8f7a_409203d1af82__Power
  - **class Conditions** | [Details](src/55e61314-ba10-4e2b-92dd-b44adebabce9) | [Code](src/55e61314-ba10-4e2b-92dd-b44adebabce9/code.php) | [Settings](src/55e61314-ba10-4e2b-92dd-b44adebabce9/settings.json) | Super__55e61314_ba10_4e2b_92dd_b44adebabce9__Power
  - **class Createdate** | [Details](src/53cf9828-7ad4-4856-aac1-7c4c67bd3121) | [Code](src/53cf9828-7ad4-4856-aac1-7c4c67bd3121/code.php) | [Settings](src/53cf9828-7ad4-4856-aac1-7c4c67bd3121/settings.json) | Super__53cf9828_7ad4_4856_aac1_7c4c67bd3121__Power
  - **class Cssadminview** | [Details](src/e79842d3-51b7-4282-93c7-3487cd8b61ab) | [Code](src/e79842d3-51b7-4282-93c7-3487cd8b61ab/code.php) | [Settings](src/e79842d3-51b7-4282-93c7-3487cd8b61ab/settings.json) | Super__e79842d3_51b7_4282_93c7_3487cd8b61ab__Power
  - **class Csscustomview** | [Details](src/3283a89c-329a-47fb-a011-0df6c31a5c73) | [Code](src/3283a89c-329a-47fb-a011-0df6c31a5c73/code.php) | [Settings](src/3283a89c-329a-47fb-a011-0df6c31a5c73/settings.json) | Super__3283a89c_329a_47fb_a011_0df6c31a5c73__Power
  - **class Customadminviews** | [Details](src/e0e24173-a808-4dd5-8e26-de971d014f86) | [Code](src/e0e24173-a808-4dd5-8e26-de971d014f86/code.php) | [Settings](src/e0e24173-a808-4dd5-8e26-de971d014f86/settings.json) | Super__e0e24173_a808_4dd5_8e26_de971d014f86__Power
  - **class Customalias** | [Details](src/5f8e8fa6-3793-44af-882d-9cfb209434e9) | [Code](src/5f8e8fa6-3793-44af-882d-9cfb209434e9/code.php) | [Settings](src/5f8e8fa6-3793-44af-882d-9cfb209434e9/settings.json) | Super__5f8e8fa6_3793_44af_882d_9cfb209434e9__Power
  - **class Custombuttons** | [Details](src/ebe3287d-bfa0-4519-b663-f442f4dea432) | [Code](src/ebe3287d-bfa0-4519-b663-f442f4dea432/code.php) | [Settings](src/ebe3287d-bfa0-4519-b663-f442f4dea432/settings.json) | Super__ebe3287d_bfa0_4519_b663_f442f4dea432__Power
  - **class Customimportscripts** | [Details](src/037c7274-fb16-455d-989a-bf1da022620b) | [Code](src/037c7274-fb16-455d-989a-bf1da022620b/code.php) | [Settings](src/037c7274-fb16-455d-989a-bf1da022620b/settings.json) | Super__037c7274_fb16_455d_989a_bf1da022620b__Power
  - **class Customtabs** | [Details](src/fa8c1125-d370-4cb6-a7ff-eb32193c198c) | [Code](src/fa8c1125-d370-4cb6-a7ff-eb32193c198c/code.php) | [Settings](src/fa8c1125-d370-4cb6-a7ff-eb32193c198c/settings.json) | Super__fa8c1125_d370_4cb6_a7ff_eb32193c198c__Power
  - **class Dynamicget** | [Details](src/79740ee8-4d10-4b51-9ff5-18e1386ec1c6) | [Code](src/79740ee8-4d10-4b51-9ff5-18e1386ec1c6/code.php) | [Settings](src/79740ee8-4d10-4b51-9ff5-18e1386ec1c6/settings.json) | Super__79740ee8_4d10_4b51_9ff5_18e1386ec1c6__Power
  - **class Fields** | [Details](src/e6a64c41-405e-4bbc-9722-27402c22bbea) | [Code](src/e6a64c41-405e-4bbc-9722-27402c22bbea/code.php) | [Settings](src/e6a64c41-405e-4bbc-9722-27402c22bbea/settings.json) | Super__e6a64c41_405e_4bbc_9722_27402c22bbea__Power
  - **class Filesfolders** | [Details](src/f4578c04-a81e-4218-b80d-b0612196eaf0) | [Code](src/f4578c04-a81e-4218-b80d-b0612196eaf0/code.php) | [Settings](src/f4578c04-a81e-4218-b80d-b0612196eaf0/settings.json) | Super__f4578c04_a81e_4218_b80d_b0612196eaf0__Power
  - **class Historyadminview** | [Details](src/6dfbf568-f3cd-4ea7-af04-6859447b5462) | [Code](src/6dfbf568-f3cd-4ea7-af04-6859447b5462/code.php) | [Settings](src/6dfbf568-f3cd-4ea7-af04-6859447b5462/settings.json) | Super__6dfbf568_f3cd_4ea7_af04_6859447b5462__Power
  - **class Historycomponent** | [Details](src/17a728e9-d6cf-4060-9efb-241b0ff2f981) | [Code](src/17a728e9-d6cf-4060-9efb-241b0ff2f981/code.php) | [Settings](src/17a728e9-d6cf-4060-9efb-241b0ff2f981/settings.json) | Super__17a728e9_d6cf_4060_9efb_241b0ff2f981__Power
  - **class Javascriptadminview** | [Details](src/dfd3c893-0296-46eb-9ae4-a0348713cd8f) | [Code](src/dfd3c893-0296-46eb-9ae4-a0348713cd8f/code.php) | [Settings](src/dfd3c893-0296-46eb-9ae4-a0348713cd8f/settings.json) | Super__dfd3c893_0296_46eb_9ae4_a0348713cd8f__Power
  - **class Javascriptcustomview** | [Details](src/29455d3b-df2b-4e41-8684-1608060e37a4) | [Code](src/29455d3b-df2b-4e41-8684-1608060e37a4/code.php) | [Settings](src/29455d3b-df2b-4e41-8684-1608060e37a4/settings.json) | Super__29455d3b_df2b_4e41_8684_1608060e37a4__Power
  - **class Joomlamodules** | [Details](src/bfdc4ce5-cb12-4fc6-9023-51cede25edd0) | [Code](src/bfdc4ce5-cb12-4fc6-9023-51cede25edd0/code.php) | [Settings](src/bfdc4ce5-cb12-4fc6-9023-51cede25edd0/settings.json) | Super__bfdc4ce5_cb12_4fc6_9023_51cede25edd0__Power
  - **class Joomlaplugins** | [Details](src/ef97b03e-1018-447a-8d7e-30401b0257bb) | [Code](src/ef97b03e-1018-447a-8d7e-30401b0257bb/code.php) | [Settings](src/ef97b03e-1018-447a-8d7e-30401b0257bb/settings.json) | Super__ef97b03e_1018_447a_8d7e_30401b0257bb__Power
  - **class Libraries** | [Details](src/59895f37-50c8-4af3-9dad-230e18841953) | [Code](src/59895f37-50c8-4af3-9dad-230e18841953/code.php) | [Settings](src/59895f37-50c8-4af3-9dad-230e18841953/settings.json) | Super__59895f37_50c8_4af3_9dad_230e18841953__Power
  - **class Linkedviews** | [Details](src/ae1fa148-91be-4f80-89a9-69d91ba9d575) | [Code](src/ae1fa148-91be-4f80-89a9-69d91ba9d575/code.php) | [Settings](src/ae1fa148-91be-4f80-89a9-69d91ba9d575/settings.json) | Super__ae1fa148_91be_4f80_89a9_69d91ba9d575__Power
  - **class Loader** | [Details](src/0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7) | [Code](src/0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7/code.php) | [Settings](src/0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7/settings.json) | Super__0d71c2d9_2fc0_4c20_82c5_43c46b0fc6f7__Power
  - **class Modifieddate** | [Details](src/9127e428-5dee-46cb-b3a9-ab5b91ea6df3) | [Code](src/9127e428-5dee-46cb-b3a9-ab5b91ea6df3/code.php) | [Settings](src/9127e428-5dee-46cb-b3a9-ab5b91ea6df3/settings.json) | Super__9127e428_5dee_46cb_b3a9_ab5b91ea6df3__Power
  - **class Mysqlsettings** | [Details](src/35191b0c-f7f3-44d6-8ec1-c816b997bd4e) | [Code](src/35191b0c-f7f3-44d6-8ec1-c816b997bd4e/code.php) | [Settings](src/35191b0c-f7f3-44d6-8ec1-c816b997bd4e/settings.json) | Super__35191b0c_f7f3_44d6_8ec1_c816b997bd4e__Power
  - **class Permissions** | [Details](src/0dabc67c-abec-4541-82bf-279abd3c9be1) | [Code](src/0dabc67c-abec-4541-82bf-279abd3c9be1/code.php) | [Settings](src/0dabc67c-abec-4541-82bf-279abd3c9be1/settings.json) | Super__0dabc67c_abec_4541_82bf_279abd3c9be1__Power
  - **class Phpadminview** | [Details](src/c20a63e0-0eeb-4424-9d08-b1bf0f049dfe) | [Code](src/c20a63e0-0eeb-4424-9d08-b1bf0f049dfe/code.php) | [Settings](src/c20a63e0-0eeb-4424-9d08-b1bf0f049dfe/settings.json) | Super__c20a63e0_0eeb_4424_9d08_b1bf0f049dfe__Power
  - **class Phpcustomview** | [Details](src/489da602-27c7-418c-bf59-1d45ad42bdcc) | [Code](src/489da602-27c7-418c-bf59-1d45ad42bdcc/code.php) | [Settings](src/489da602-27c7-418c-bf59-1d45ad42bdcc/settings.json) | Super__489da602_27c7_418c_bf59_1d45ad42bdcc__Power
  - **class Relations** | [Details](src/a8eb2fb1-88ed-4af8-842d-898eb915b588) | [Code](src/a8eb2fb1-88ed-4af8-842d-898eb915b588/code.php) | [Settings](src/a8eb2fb1-88ed-4af8-842d-898eb915b588/settings.json) | Super__a8eb2fb1_88ed_4af8_842d_898eb915b588__Power
  - **class Siteviews** | [Details](src/e0075978-315d-4807-8507-ce9c6922a885) | [Code](src/e0075978-315d-4807-8507-ce9c6922a885/code.php) | [Settings](src/e0075978-315d-4807-8507-ce9c6922a885/settings.json) | Super__e0075978_315d_4807_8507_ce9c6922a885__Power
  - **class Sql** | [Details](src/d4b418a7-bf9b-4768-969d-e07c36916fd2) | [Code](src/d4b418a7-bf9b-4768-969d-e07c36916fd2/code.php) | [Settings](src/d4b418a7-bf9b-4768-969d-e07c36916fd2/settings.json) | Super__d4b418a7_bf9b_4768_969d_e07c36916fd2__Power
  - **class Sqldump** | [Details](src/a6e1227c-1efe-407d-84ef-03c6989a6a88) | [Code](src/a6e1227c-1efe-407d-84ef-03c6989a6a88/code.php) | [Settings](src/a6e1227c-1efe-407d-84ef-03c6989a6a88/settings.json) | Super__a6e1227c_1efe_407d_84ef_03c6989a6a88__Power
  - **class Sqltweaking** | [Details](src/e50cbac5-9c9d-4fd4-aa7a-5e830719ed26) | [Code](src/e50cbac5-9c9d-4fd4-aa7a-5e830719ed26/code.php) | [Settings](src/e50cbac5-9c9d-4fd4-aa7a-5e830719ed26/settings.json) | Super__e50cbac5_9c9d_4fd4_aa7a_5e830719ed26__Power
  - **class Tabs** | [Details](src/143ac6ea-b64f-4331-9a97-31e3fce2bb69) | [Code](src/143ac6ea-b64f-4331-9a97-31e3fce2bb69/code.php) | [Settings](src/143ac6ea-b64f-4331-9a97-31e3fce2bb69/settings.json) | Super__143ac6ea_b64f_4331_9a97_31e3fce2bb69__Power
  - **class Updateserver** | [Details](src/1d0fd857-12ec-4f47-ab1c-124d85748e24) | [Code](src/1d0fd857-12ec-4f47-ab1c-124d85748e24/code.php) | [Settings](src/1d0fd857-12ec-4f47-ab1c-124d85748e24/settings.json) | Super__1d0fd857_12ec_4f47_ab1c_124d85748e24__Power
  - **class Updatesql** | [Details](src/b80296eb-4718-4ed3-894d-69f3ac293733) | [Code](src/b80296eb-4718-4ed3-894d-69f3ac293733/code.php) | [Settings](src/b80296eb-4718-4ed3-894d-69f3ac293733/settings.json) | Super__b80296eb_4718_4ed3_894d_69f3ac293733__Power
  - **class Whmcs** | [Details](src/af5beb21-214a-44f6-9090-7ea24c22e649) | [Code](src/af5beb21-214a-44f6-9090-7ea24c22e649/code.php) | [Settings](src/af5beb21-214a-44f6-9090-7ea24c22e649/settings.json) | Super__af5beb21_214a_44f6_9090_7ea24c22e649__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Placeholder](#vdm-joomla-componentbuilder-compiler-placeholder)

  - **class Reverse** | [Details](src/ca111518-e47c-4049-b1b2-cb010f23866f) | [Code](src/ca111518-e47c-4049-b1b2-cb010f23866f/code.php) | [Settings](src/ca111518-e47c-4049-b1b2-cb010f23866f/settings.json) | Super__ca111518_e47c_4049_b1b2_cb010f23866f__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Power](#vdm-joomla-componentbuilder-compiler-power)

  - **final class Extractor** | [Details](src/eeb03266-22fd-45bb-953a-961bb6be3a54) | [Code](src/eeb03266-22fd-45bb-953a-961bb6be3a54/code.php) | [Settings](src/eeb03266-22fd-45bb-953a-961bb6be3a54/settings.json) | Super__eeb03266_22fd_45bb_953a_961bb6be3a54__Power
  - **final class Injector** | [Details](src/763d137c-42bc-4282-98d8-cc5c0654985f) | [Code](src/763d137c-42bc-4282-98d8-cc5c0654985f/code.php) | [Settings](src/763d137c-42bc-4282-98d8-cc5c0654985f/settings.json) | Super__763d137c_42bc_4282_98d8_cc5c0654985f__Power
  - **final class Parser** | [Details](src/95d0e03f-24fd-4412-bc2e-f0899fcc3205) | [Code](src/95d0e03f-24fd-4412-bc2e-f0899fcc3205/code.php) | [Settings](src/95d0e03f-24fd-4412-bc2e-f0899fcc3205/settings.json) | Super__95d0e03f_24fd_4412_bc2e_f0899fcc3205__Power
  - **class Autoloader** | [Details](src/6e64917c-d687-4ef3-a655-811319f5a81e) | [Code](src/6e64917c-d687-4ef3-a655-811319f5a81e/code.php) | [Settings](src/6e64917c-d687-4ef3-a655-811319f5a81e/settings.json) | Super__6e64917c_d687_4ef3_a655_811319f5a81e__Power
  - **class Infusion** | [Details](src/0419081e-4cb3-4c65-8c6a-ffe941fb0f1c) | [Code](src/0419081e-4cb3-4c65-8c6a-ffe941fb0f1c/code.php) | [Settings](src/0419081e-4cb3-4c65-8c6a-ffe941fb0f1c/settings.json) | Super__0419081e_4cb3_4c65_8c6a_ffe941fb0f1c__Power
  - **class Plantuml** | [Details](src/ff5e9e63-86d0-4691-ab59-d4b9d9154096) | [Code](src/ff5e9e63-86d0-4691-ab59-d4b9d9154096/code.php) | [Settings](src/ff5e9e63-86d0-4691-ab59-d4b9d9154096/settings.json) | Super__ff5e9e63_86d0_4691_ab59_d4b9d9154096__Power
  - **class Structure** | [Details](src/324566de-0f7d-4b6e-9caf-8424d55013ae) | [Code](src/324566de-0f7d-4b6e-9caf-8424d55013ae/code.php) | [Settings](src/324566de-0f7d-4b6e-9caf-8424d55013ae/settings.json) | Super__324566de_0f7d_4b6e_9caf_8424d55013ae__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Service](#vdm-joomla-componentbuilder-compiler-service)

  - **class Adminview** | [Details](src/2dd1289a-4000-43cc-8c62-77ff32de56bf) | [Code](src/2dd1289a-4000-43cc-8c62-77ff32de56bf/code.php) | [Settings](src/2dd1289a-4000-43cc-8c62-77ff32de56bf/settings.json) | Super__2dd1289a_4000_43cc_8c62_77ff32de56bf__Power
  - **class Builder** | [Details](src/2c76c06e-a371-4b73-9fbe-b4d9b4df55d7) | [Code](src/2c76c06e-a371-4b73-9fbe-b4d9b4df55d7/code.php) | [Settings](src/2c76c06e-a371-4b73-9fbe-b4d9b4df55d7/settings.json) | Super__2c76c06e_a371_4b73_9fbe_b4d9b4df55d7__Power
  - **class Compiler** | [Details](src/ea5ed06e-72ae-4906-9167-1cc0fa32fe69) | [Code](src/ea5ed06e-72ae-4906-9167-1cc0fa32fe69/code.php) | [Settings](src/ea5ed06e-72ae-4906-9167-1cc0fa32fe69/settings.json) | Super__ea5ed06e_72ae_4906_9167_1cc0fa32fe69__Power
  - **class Component** | [Details](src/8a63e87b-b39b-4a15-8044-9b2a2f4fb61c) | [Code](src/8a63e87b-b39b-4a15-8044-9b2a2f4fb61c/code.php) | [Settings](src/8a63e87b-b39b-4a15-8044-9b2a2f4fb61c/settings.json) | Super__8a63e87b_b39b_4a15_8044_9b2a2f4fb61c__Power
  - **class Customcode** | [Details](src/a74ac3b7-bb79-4639-8f14-54a8021be68b) | [Code](src/a74ac3b7-bb79-4639-8f14-54a8021be68b/code.php) | [Settings](src/a74ac3b7-bb79-4639-8f14-54a8021be68b/settings.json) | Super__a74ac3b7_bb79_4639_8f14_54a8021be68b__Power
  - **class Customview** | [Details](src/87faa133-4cac-4816-ae41-5c3f9a2f76aa) | [Code](src/87faa133-4cac-4816-ae41-5c3f9a2f76aa/code.php) | [Settings](src/87faa133-4cac-4816-ae41-5c3f9a2f76aa/settings.json) | Super__87faa133_4cac_4816_ae41_5c3f9a2f76aa__Power
  - **class Database** | [Details](src/4815e1c7-a433-443d-a112-d1e03d7df84b) | [Code](src/4815e1c7-a433-443d-a112-d1e03d7df84b/code.php) | [Settings](src/4815e1c7-a433-443d-a112-d1e03d7df84b/settings.json) | Super__4815e1c7_a433_443d_a112_d1e03d7df84b__Power
  - **class Event** | [Details](src/b94aaedb-6774-4739-a63f-8f87141a85db) | [Code](src/b94aaedb-6774-4739-a63f-8f87141a85db/code.php) | [Settings](src/b94aaedb-6774-4739-a63f-8f87141a85db/settings.json) | Super__b94aaedb_6774_4739_a63f_8f87141a85db__Power
  - **class Extension** | [Details](src/ed9591cb-0a03-400a-bf47-eaf78ab19b9d) | [Code](src/ed9591cb-0a03-400a-bf47-eaf78ab19b9d/code.php) | [Settings](src/ed9591cb-0a03-400a-bf47-eaf78ab19b9d/settings.json) | Super__ed9591cb_0a03_400a_bf47_eaf78ab19b9d__Power
  - **class Field** | [Details](src/c6c30d66-3106-44eb-9272-b2cf7ec74613) | [Code](src/c6c30d66-3106-44eb-9272-b2cf7ec74613/code.php) | [Settings](src/c6c30d66-3106-44eb-9272-b2cf7ec74613/settings.json) | Super__c6c30d66_3106_44eb_9272_b2cf7ec74613__Power
  - **class History** | [Details](src/63782f74-7b03-4745-aa40-0adf8ed4e704) | [Code](src/63782f74-7b03-4745-aa40-0adf8ed4e704/code.php) | [Settings](src/63782f74-7b03-4745-aa40-0adf8ed4e704/settings.json) | Super__63782f74_7b03_4745_aa40_0adf8ed4e704__Power
  - **class Joomlamodule** | [Details](src/295186de-5954-4a65-a4c1-2f79ef305743) | [Code](src/295186de-5954-4a65-a4c1-2f79ef305743/code.php) | [Settings](src/295186de-5954-4a65-a4c1-2f79ef305743/settings.json) | Super__295186de_5954_4a65_a4c1_2f79ef305743__Power
  - **class Joomlaplugin** | [Details](src/9eba241c-af90-42dd-ae05-92ff4d8391d3) | [Code](src/9eba241c-af90-42dd-ae05-92ff4d8391d3/code.php) | [Settings](src/9eba241c-af90-42dd-ae05-92ff4d8391d3/settings.json) | Super__9eba241c_af90_42dd_ae05_92ff4d8391d3__Power
  - **class Language** | [Details](src/9f00e793-86f8-4ef9-b775-a3eb129f83c0) | [Code](src/9f00e793-86f8-4ef9-b775-a3eb129f83c0/code.php) | [Settings](src/9f00e793-86f8-4ef9-b775-a3eb129f83c0/settings.json) | Super__9f00e793_86f8_4ef9_b775_a3eb129f83c0__Power
  - **class Library** | [Details](src/253317c7-3c3b-48a0-aec8-8af5e7a86504) | [Code](src/253317c7-3c3b-48a0-aec8-8af5e7a86504/code.php) | [Settings](src/253317c7-3c3b-48a0-aec8-8af5e7a86504/settings.json) | Super__253317c7_3c3b_48a0_aec8_8af5e7a86504__Power
  - **class Mapper** | [Details](src/23f2ca33-440a-4941-8e9a-4bc67522c0cb) | [Code](src/23f2ca33-440a-4941-8e9a-4bc67522c0cb/code.php) | [Settings](src/23f2ca33-440a-4941-8e9a-4bc67522c0cb/settings.json) | Super__23f2ca33_440a_4941_8e9a_4bc67522c0cb__Power
  - **class Model** | [Details](src/0601fee8-d51e-4af0-9ad3-b5f8700c4a45) | [Code](src/0601fee8-d51e-4af0-9ad3-b5f8700c4a45/code.php) | [Settings](src/0601fee8-d51e-4af0-9ad3-b5f8700c4a45/settings.json) | Super__0601fee8_d51e_4af0_9ad3_b5f8700c4a45__Power
  - **class Placeholder** | [Details](src/2f7b1998-bb93-4055-ae82-aa659ce8a37f) | [Code](src/2f7b1998-bb93-4055-ae82-aa659ce8a37f/code.php) | [Settings](src/2f7b1998-bb93-4055-ae82-aa659ce8a37f/settings.json) | Super__2f7b1998_bb93_4055_ae82_aa659ce8a37f__Power
  - **class Power** | [Details](src/de01527a-6586-46ea-92e7-11ea3de1cedb) | [Code](src/de01527a-6586-46ea-92e7-11ea3de1cedb/code.php) | [Settings](src/de01527a-6586-46ea-92e7-11ea3de1cedb/settings.json) | Super__de01527a_6586_46ea_92e7_11ea3de1cedb__Power
  - **class Templatelayout** | [Details](src/fff3255d-c493-4c21-a48f-73b3ebf8ba05) | [Code](src/fff3255d-c493-4c21-a48f-73b3ebf8ba05/code.php) | [Settings](src/fff3255d-c493-4c21-a48f-73b3ebf8ba05/settings.json) | Super__fff3255d_c493_4c21_a48f_73b3ebf8ba05__Power
  - **class Utilities** | [Details](src/516f93b8-5fff-41c6-aeaf-2d93180a12cc) | [Code](src/516f93b8-5fff-41c6-aeaf-2d93180a12cc/code.php) | [Settings](src/516f93b8-5fff-41c6-aeaf-2d93180a12cc/settings.json) | Super__516f93b8_5fff_41c6_aeaf_2d93180a12cc__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Templatelayout](#vdm-joomla-componentbuilder-compiler-templatelayout)

  - **class Data** | [Details](src/39ea8150-f124-4e47-909d-641bf1c96d5e) | [Code](src/39ea8150-f124-4e47-909d-641bf1c96d5e/code.php) | [Settings](src/39ea8150-f124-4e47-909d-641bf1c96d5e/settings.json) | Super__39ea8150_f124_4e47_909d_641bf1c96d5e__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Utilities](#vdm-joomla-componentbuilder-compiler-utilities)

  - **abstract class FieldHelper** | [Details](src/7a5fd3f3-199e-43ba-a8e8-f473d6c030ec) | [Code](src/7a5fd3f3-199e-43ba-a8e8-f473d6c030ec/code.php) | [Settings](src/7a5fd3f3-199e-43ba-a8e8-f473d6c030ec/settings.json) | Super__7a5fd3f3_199e_43ba_a8e8_f473d6c030ec__Power
  - **abstract class Indent** | [Details](src/a68c010b-e92e-47d5-8a44-d23cfddeb6c6) | [Code](src/a68c010b-e92e-47d5-8a44-d23cfddeb6c6/code.php) | [Settings](src/a68c010b-e92e-47d5-8a44-d23cfddeb6c6/settings.json) | Super__a68c010b_e92e_47d5_8a44_d23cfddeb6c6__Power
  - **abstract class Line** | [Details](src/4e6ff11d-bebf-42f5-8fd7-b2f882857222) | [Code](src/4e6ff11d-bebf-42f5-8fd7-b2f882857222/code.php) | [Settings](src/4e6ff11d-bebf-42f5-8fd7-b2f882857222/settings.json) | Super__4e6ff11d_bebf_42f5_8fd7_b2f882857222__Power
  - **abstract class Placefix** | [Details](src/500f3a7f-c16d-4dd4-81b2-2df6776b5388) | [Code](src/500f3a7f-c16d-4dd4-81b2-2df6776b5388/code.php) | [Settings](src/500f3a7f-c16d-4dd4-81b2-2df6776b5388/settings.json) | Super__500f3a7f_c16d_4dd4_81b2_2df6776b5388__Power
  - **abstract class Unique** | [Details](src/f02fb1df-f4b6-4be1-9595-2e72084a5e6e) | [Code](src/f02fb1df-f4b6-4be1-9595-2e72084a5e6e/code.php) | [Settings](src/f02fb1df-f4b6-4be1-9595-2e72084a5e6e/settings.json) | Super__f02fb1df_f4b6_4be1_9595_2e72084a5e6e__Power
  - **class Counter** | [Details](src/e6d871a6-bbe7-497d-af01-68f6bb9a87f4) | [Code](src/e6d871a6-bbe7-497d-af01-68f6bb9a87f4/code.php) | [Settings](src/e6d871a6-bbe7-497d-af01-68f6bb9a87f4/settings.json) | Super__e6d871a6_bbe7_497d_af01_68f6bb9a87f4__Power
  - **class Dynamicpath** | [Details](src/268b85ef-49f3-4c39-8187-bb12e38d19ee) | [Code](src/268b85ef-49f3-4c39-8187-bb12e38d19ee/code.php) | [Settings](src/268b85ef-49f3-4c39-8187-bb12e38d19ee/settings.json) | Super__268b85ef_49f3_4c39_8187_bb12e38d19ee__Power
  - **class File** | [Details](src/5c75b455-3d4c-452a-867e-e90424a64c88) | [Code](src/5c75b455-3d4c-452a-867e-e90424a64c88/code.php) | [Settings](src/5c75b455-3d4c-452a-867e-e90424a64c88/settings.json) | Super__5c75b455_3d4c_452a_867e_e90424a64c88__Power
  - **class Files** | [Details](src/1d967151-7c20-4ca7-9400-65233cdcd4db) | [Code](src/1d967151-7c20-4ca7-9400-65233cdcd4db/code.php) | [Settings](src/1d967151-7c20-4ca7-9400-65233cdcd4db/settings.json) | Super__1d967151_7c20_4ca7_9400_65233cdcd4db__Power
  - **class Folder** | [Details](src/6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1) | [Code](src/6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1/code.php) | [Settings](src/6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1/settings.json) | Super__6bbb6ffe_3f09_4c21_aa9d_c93159afa1e1__Power
  - **class Pathfix** | [Details](src/cdc9b06d-8333-4fa7-ab4d-b810dd90f95f) | [Code](src/cdc9b06d-8333-4fa7-ab4d-b810dd90f95f/code.php) | [Settings](src/cdc9b06d-8333-4fa7-ab4d-b810dd90f95f/settings.json) | Super__cdc9b06d_8333_4fa7_ab4d_b810dd90f95f__Power
  - **class Paths** | [Details](src/6f20369a-8536-4870-a1a3-cda254c939c8) | [Code](src/6f20369a-8536-4870-a1a3-cda254c939c8/code.php) | [Settings](src/6f20369a-8536-4870-a1a3-cda254c939c8/settings.json) | Super__6f20369a_8536_4870_a1a3_cda254c939c8__Power
  - **class Structure** | [Details](src/1efdded5-d6c8-452c-8f37-0374483a7b3f) | [Code](src/1efdded5-d6c8-452c-8f37-0374483a7b3f/code.php) | [Settings](src/1efdded5-d6c8-452c-8f37-0374483a7b3f/settings.json) | Super__1efdded5_d6c8_452c_8f37_0374483a7b3f__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Power\Database](#vdm-joomla-componentbuilder-power-database)

  - **final class Insert** | [Details](src/380bb7a3-cdcc-4336-a699-5070cbf521a5) | [Code](src/380bb7a3-cdcc-4336-a699-5070cbf521a5/code.php) | [Settings](src/380bb7a3-cdcc-4336-a699-5070cbf521a5/settings.json) | Super__380bb7a3_cdcc_4336_a699_5070cbf521a5__Power
  - **final class Update** | [Details](src/e543c123-b1d9-4a0b-83b2-a9d371da5ff3) | [Code](src/e543c123-b1d9-4a0b-83b2-a9d371da5ff3/code.php) | [Settings](src/e543c123-b1d9-4a0b-83b2-a9d371da5ff3/settings.json) | Super__e543c123_b1d9_4a0b_83b2_a9d371da5ff3__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Builder\Update](#vdm-joomla-componentbuilder-compiler-builder-update)

  - **class Mysql** | [Details](src/2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9) | [Code](src/2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9/code.php) | [Settings](src/2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9/settings.json) | Super__2b5c9989_1d4e_4f59_8b95_5cd2f72f82d9__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Customcode\Extractor](#vdm-joomla-componentbuilder-compiler-customcode-extractor)

  - **class Paths** | [Details](src/053803e6-1251-4aed-aefe-46a8e84198d2) | [Code](src/053803e6-1251-4aed-aefe-46a8e84198d2/code.php) | [Settings](src/053803e6-1251-4aed-aefe-46a8e84198d2/settings.json) | Super__053803e6_1251_4aed_aefe_46a8e84198d2__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Extension\JoomlaThree](#vdm-joomla-componentbuilder-compiler-extension-joomlathree)

  - **class InstallScript** | [Details](src/1d929017-a5de-4e0f-9b5a-838934857e26) | [Code](src/1d929017-a5de-4e0f-9b5a-838934857e26/code.php) | [Settings](src/1d929017-a5de-4e0f-9b5a-838934857e26/settings.json) | Super__1d929017_a5de_4e0f_9b5a_838934857e26__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Field\JoomlaThree](#vdm-joomla-componentbuilder-compiler-field-joomlathree)

  - **class CoreValidation** | [Details](src/24da9672-e47f-4bb1-b6c0-0ebfc17f0957) | [Code](src/24da9672-e47f-4bb1-b6c0-0ebfc17f0957/code.php) | [Settings](src/24da9672-e47f-4bb1-b6c0-0ebfc17f0957/settings.json) | Super__24da9672_e47f_4bb1_b6c0_0ebfc17f0957__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Component](#vdm-joomla-componentbuilder-compiler-interfaces-component)

  - **interface PlaceholderInterface** | [Details](src/97698747-c2ce-4e09-a470-acf6d8e86281) | [Code](src/97698747-c2ce-4e09-a470-acf6d8e86281/code.php) | [Settings](src/97698747-c2ce-4e09-a470-acf6d8e86281/settings.json) | Super__97698747_c2ce_4e09_a470_acf6d8e86281__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Customcode](#vdm-joomla-componentbuilder-compiler-interfaces-customcode)

  - **interface DispenserInterface** | [Details](src/ef687e42-dc25-4423-9dd4-ec6e9743cfb0) | [Code](src/ef687e42-dc25-4423-9dd4-ec6e9743cfb0/code.php) | [Settings](src/ef687e42-dc25-4423-9dd4-ec6e9743cfb0/settings.json) | Super__ef687e42_dc25_4423_9dd4_ec6e9743cfb0__Power
  - **interface ExternalInterface** | [Details](src/1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a) | [Code](src/1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a/code.php) | [Settings](src/1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a/settings.json) | Super__1fcb13a2_f3f0_4fa8_b8c6_ff9dc546777a__Power
  - **interface ExtractorInterface** | [Details](src/6da2afa5-6087-46dd-80a0-74c6434bcb18) | [Code](src/6da2afa5-6087-46dd-80a0-74c6434bcb18/code.php) | [Settings](src/6da2afa5-6087-46dd-80a0-74c6434bcb18/settings.json) | Super__6da2afa5_6087_46dd_80a0_74c6434bcb18__Power
  - **interface GuiInterface** | [Details](src/2cc8517d-1105-4697-9743-048b4b7c089c) | [Code](src/2cc8517d-1105-4697-9743-048b4b7c089c/code.php) | [Settings](src/2cc8517d-1105-4697-9743-048b4b7c089c/settings.json) | Super__2cc8517d_1105_4697_9743_048b4b7c089c__Power
  - **interface LockBaseInterface** | [Details](src/a3c515f5-4adf-4eb3-b637-0a1add550da6) | [Code](src/a3c515f5-4adf-4eb3-b637-0a1add550da6/code.php) | [Settings](src/a3c515f5-4adf-4eb3-b637-0a1add550da6/settings.json) | Super__a3c515f5_4adf_4eb3_b637_0a1add550da6__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Extension](#vdm-joomla-componentbuilder-compiler-interfaces-extension)

  - **interface InstallInterface** | [Details](src/1aefb8f5-486f-4f00-adf9-696340b3254e) | [Code](src/1aefb8f5-486f-4f00-adf9-696340b3254e/code.php) | [Settings](src/1aefb8f5-486f-4f00-adf9-696340b3254e/settings.json) | Super__1aefb8f5_486f_4f00_adf9_696340b3254e__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Field](#vdm-joomla-componentbuilder-compiler-interfaces-field)

  - **interface CoreValidationInterface** | [Details](src/b9f05dc4-d23a-499a-a826-9749b81818ed) | [Code](src/b9f05dc4-d23a-499a-a826-9749b81818ed/code.php) | [Settings](src/b9f05dc4-d23a-499a-a826-9749b81818ed/settings.json) | Super__b9f05dc4_d23a_499a_a826_9749b81818ed__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Power\Repo](#vdm-joomla-componentbuilder-compiler-power-repo)

  - **class Readme** | [Details](src/efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5) | [Code](src/efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5/code.php) | [Settings](src/efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5/settings.json) | Super__efb1d0f8_2d14_4d2c_8b5f_4fcdd9df45a5__Power
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Power\Repos](#vdm-joomla-componentbuilder-compiler-power-repos)

  - **class Readme** | [Details](src/0d08c583-04d5-454e-b756-48ca05e1651a) | [Code](src/0d08c583-04d5-454e-b756-48ca05e1651a/code.php) | [Settings](src/0d08c583-04d5-454e-b756-48ca05e1651a/settings.json) | Super__0d08c583_04d5_454e_b756_48ca05e1651a__Power

---
```
     ██╗ ██████╗  ██████╗ ███╗   ███╗██╗      █████╗
     ██║██╔═══██╗██╔═══██╗████╗ ████║██║     ██╔══██╗
     ██║██║   ██║██║   ██║██╔████╔██║██║     ███████║
██   ██║██║   ██║██║   ██║██║╚██╔╝██║██║     ██╔══██║
╚█████╔╝╚██████╔╝╚██████╔╝██║ ╚═╝ ██║███████╗██║  ██║
 ╚════╝  ╚═════╝  ╚═════╝ ╚═╝     ╚═╝╚══════╝╚═╝  ╚═╝
 ██████╗ ██████╗ ███╗   ███╗██████╗  ██████╗ ███╗   ██╗███████╗███╗   ██╗████████╗
██╔════╝██╔═══██╗████╗ ████║██╔══██╗██╔═══██╗████╗  ██║██╔════╝████╗  ██║╚══██╔══╝
██║     ██║   ██║██╔████╔██║██████╔╝██║   ██║██╔██╗ ██║█████╗  ██╔██╗ ██║   ██║
██║     ██║   ██║██║╚██╔╝██║██╔═══╝ ██║   ██║██║╚██╗██║██╔══╝  ██║╚██╗██║   ██║
╚██████╗╚██████╔╝██║ ╚═╝ ██║██║     ╚██████╔╝██║ ╚████║███████╗██║ ╚████║   ██║
 ╚═════╝ ╚═════╝ ╚═╝     ╚═╝╚═╝      ╚═════╝ ╚═╝  ╚═══╝╚══════╝╚═╝  ╚═══╝   ╚═╝
██████╗ ██╗   ██╗██╗██╗     ██████╗ ███████╗██████╗
██╔══██╗██║   ██║██║██║     ██╔══██╗██╔════╝██╔══██╗
██████╔╝██║   ██║██║██║     ██║  ██║█████╗  ██████╔╝
██╔══██╗██║   ██║██║██║     ██║  ██║██╔══╝  ██╔══██╗
██████╔╝╚██████╔╝██║███████╗██████╔╝███████╗██║  ██║
╚═════╝  ╚═════╝ ╚═╝╚══════╝╚═════╝ ╚══════╝╚═╝  ╚═╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

